### Struct

# Qmi MessageDmsSetServiceProgrammingCodeInput

since: 1.0

#### Description [src]

    struct QmiMessageDmsSetServiceProgrammingCodeInput {
      /* No available fields */
    }

The `QmiMessageDmsSetServiceProgrammingCodeInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.0

#### Constructors

###### qmi_message_dms_set_service_programming_code_input_new

Allocates a new `QmiMessageDmsSetServiceProgrammingCodeInput`.

since: 1.0

#### Instance methods

###### qmi_message_dms_set_service_programming_code_input_get_current_code

Get the ‘Current Code’ field from `self`.

since: 1.0

###### qmi_message_dms_set_service_programming_code_input_get_new_code

Get the ‘New Code’ field from `self`.

since: 1.0

###### qmi_message_dms_set_service_programming_code_input_ref

Atomically increments the reference count of `self` by one.

since: 1.0

###### qmi_message_dms_set_service_programming_code_input_set_current_code

Set the ‘Current Code’ field in the message.

since: 1.0

###### qmi_message_dms_set_service_programming_code_input_set_new_code

Set the ‘New Code’ field in the message.

since: 1.0

###### qmi_message_dms_set_service_programming_code_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.0